Skip to main content
GET
Retrieve a bank account by external ID

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

externalId
string
required
Minimum string length: 1

Response

200 - application/json

OK

id
string<uuid>
required
clientId
string<uuid>
required
accountNumber
string
required

Account Number

Minimum string length: 1
bankName
string
required

Bank Name

Minimum string length: 1
country
any
required
currency
string
required

Currency

createdAt
string<date-time>
required
updatedAt
string<date-time>
required
bankCode
string

Bank Code

type
enum<string>
default:checking

Type

Available options:
checking,
savings,
investment,
other
isPrimary
boolean

Is Primary

isActive
boolean

Is Active

label
string

Label

externalId
string

External ID

metadata
object

Metadata

clabe
any

CLABE

codigoBanco
string

Bank Code

Required string length: 3
codigoPlaza
string

Plaza Code

Required string length: 3